package com.xty.network.model

import android.os.Parcel
import android.os.Parcelable
import java.io.Serializable

data class HealthDataBean(
    val id: Int?,
    val userId: Int?,
    val userName:String,
    val avatarUrl:String,
    val sex:Int,
    val year: String?,
    val month: String?,
    val dataType: Int?,
    val time: String?,
    val status: Int?,
    val upType: Int?,
    val upName: String?,
    val remark: String?,
    val createTime: String?,
    val updateTime: String?,
    var dataValue: String?,
    val height: String,
    var isSelected:Boolean,
    val tc: String,//总胆固醇
    val tg: String,//甘油三酯
    val hdl: String,//高密度蛋白
    val ldl: String,//低密度蛋白
    val pbfId:String,
    val bmiInfo: BmiInfo,
):Serializable{
    data class BmiInfo(
        val bmi: Double,
        val levelIntervalList: List<BodyFatBean.LevelInterval>,
        val levelName: String
    ):Serializable

}

