package com.xty.network.model

import com.chad.library.adapter.base.entity.MultiItemEntity

data class QuestBean(
    var templateId:Int=0,
    var questions: MutableList<Question>
) {

    class Question(override var itemType: Int=0) : MultiItemEntity {

        var questionId: Int = 0
        var titleSort: Int = 0
        var title: String = ""
        var question: String = ""
        var typeId: Int = 0
        var createTime: String = ""
        var templateId: Int = 0
        var sort: Int = 0
        var descAnswer:String=""
        var selectPosition:Int=-1  //当前行是否选中
        var selectOption:String=""  //选项 即A B C

        var height:String="" //身高
        var weight:String="" //体重
    }
    class Answer {
        var value:String=""
        var label:String=""

    }

}